## puzzletube 0.6-maemo3

=== puzzletube/Makefile ===
#==stuff linked to
DYNAMIC = -lSDL_ttf -lSDL_mixer -lSDL_image -lSDL -lm
#==global Flags. Even on the gp2x with 16 kb Cache, -O3 is much better then -Os
CFLAGS = -Os -fsingle-precision-constant -fPIC
# Testtweaks: -fgcse-lm -fgcse-sm -fsched-spec-load -fmodulo-sched -funsafe-loop-optimizations -Wunsafe-loop-optimizations -fgcse-las -fgcse-after-reload -fvariable-expansion-in-unroller -ftracer -fbranch-target-load-optimize
GENERAL_TWEAKS =  -ffast-math
#==PC==
CPP = gcc -g  -DARMCPU
SDL = `sdl-config --cflags`

SPARROW_FOLDER = ../sparrow3d

ifdef TARGET
include $(SPARROW_FOLDER)/target-files/$(TARGET).mk
BUILD = ./build/$(TARGET)/puzzletube
SPARROW_LIB = $(SPARROW_FOLDER)/build/$(TARGET)/sparrow3d
else
TARGET = "Default (change with make TARGET=otherTarget. See All targets with make targets)"
BUILD = .
SPARROW_LIB = $(SPARROW_FOLDER)
endif
LIB += -L$(SPARROW_LIB)
DYNAMIC += -lsparrow3d -lsparrowSound

all: puzzletube
	@echo "=== Built for Target "$(TARGET)" ==="

targets:
	@echo "The targets are the same like for sparrow3d. :P"

puzzletube: puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o makeBuildDir
	#cp $(SPARROW_LIB)/libsparrow3d.so $(BUILD)
	#cp $(SPARROW_LIB)/libsparrowSound.so $(BUILD)
	$(CPP) $(CFLAGS) puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o $(SDL) $(INCLUDE) $(LIB) $(STATIC) $(DYNAMIC) -o $(BUILD)/puzzletube

makeBuildDir:
	 @if [ ! -d $(BUILD:/puzzletube=/) ]; then mkdir $(BUILD:/puzzletube=/);fi
	 @if [ ! -d $(BUILD) ]; then mkdir $(BUILD);fi

particle.o: particle.c particle.h
	$(CPP) $(CFLAGS) -c particle.c $(SDL) $(INCLUDE)

game.o: game.c game.h
	$(CPP) $(CFLAGS) -c game.c $(SDL) $(INCLUDE)

music.o: music.c music.h
	$(CPP) $(CFLAGS) -c music.c $(SDL) $(INCLUDE)

menu.o: menu.c menu.h
	$(CPP) $(CFLAGS) -c menu.c $(SDL) $(INCLUDE)

stars.o: stars.c stars.h
	$(CPP) $(CFLAGS) -c stars.c $(SDL) $(INCLUDE)

settings.o: settings.c settings.h
	$(CPP) $(CFLAGS) -c settings.c $(SDL) $(INCLUDE)

lettering.o: lettering.c lettering.h
	$(CPP) $(CFLAGS) -c lettering.c $(SDL) $(INCLUDE)

splashscreen.o: splashscreen.c splashscreen.h
	$(CPP) $(CFLAGS) -c splashscreen.c $(SDL) $(INCLUDE)

clean:
	rm -f *.o
	rm -f puzzletube

=== sparrow3d/Makefile ===
# Hi and welcome to the "sparrow3d Makefile". This Makefile is for compiling
# sparrow3d on unix based systems or Windows with Mingw32/Cygwin (not tested)

# === First of all some defines. If your compilation is slow or instable, check
# === the defines and changes them for your Target.
# === Every target is in an extra file named like the target + .mk, e.g.
# === gp2x.mk. If you have another path settings than me, just duplicate the
# === target file, alter the paths and call maybe make myGp2x if your file is
# === named myGp2x.mk. So you are independent from my changes of the target
# === files. ;) However always have a look at the changelog, maybe I add new
# === fancy optimization, you have to add in your target file yourself!

# -DDO_USE_NOT_WASD_BUTTONS enables other buttons instead of WASD for the
# action buttons and QE for the shoulder buttons. For debugging and some
# direction based games QWEASD is fine, but for release, ctrl, alt and
# so one are better I think. More details in sparrowDefines.h. Of course
# this defines makes only sense for PC. ;) However, it is a good idea
# to use make OUTSIDE_FLAG=-DDO_USE_NOT_WASD_BUTTONS.

# -DFAST_MULTIPLICATION enables a faster multiplication for fixed point
# arithmetics, it may look ugly on bigger resolution or may be too inaccurate.

# -DFAST_DIVISION does the same as -DFAST_MULTIPLICATION, but for division.

# -DUNSAFE_MAGIC may crash. It uses possibly memory (just reading), which it
# not owns. Try always to have some border pixels to your textures if using!
# However it makes sparrow3d a bit faster, but the texture mapping a bit uglier.

# -DBLACK_MAGIC activates some crazy lookup table and other optimizations, but
# may look a bit worse.

# If you activate -DDO_NOT_USE_DELAY there will be no delay of 1 ms, if
# the time between two calculations is 0. If your device is powerfull
# don't use it. I activate it only for the gp2x.

# === Now some globale variables. These are the default values for compilation on
# === a Linux machine. The other targets then change, where their have
# === differences in the target files (the .mk files)

# DYNAMIC says, which libraries will be linked dynamicly. Most of the time these
# are all used libraries, but some systems also need static linking, too. Because
# as default no library is linked static, STATIC is not defined yet.
DYNAMIC =  -lSDL_mixer -lSDL_ttf -lSDL_image -lSDL -lm
# -lSDL_net

# CFLAGS defines some globale flags for gcc. Even on the gp2x with only 16 KB
# CPU Cache, -O3 is faster than -Os. So most things you don't have to change
CFLAGS = -Os -fsingle-precision-constant -fPIC

# GENERAL_TWEAKS are some flags for gcc, which should make the compilation
# faster, but some of them are just poinsoness snake oil - they may help a bit,
# but could also kill you. ^^
GENERAL_TWEAKS = -ffast-math $(OUTSIDE_FLAG)

# every device using SMALL_RESOLUTION_DEVICES in the compilation will enable
# the faster multiplication and division
SMALL_RESOLUTION_DEVICES = -DFAST_MULTIPLICATION -DFAST_DIVISION

# The default Compiler is gcc with debug symbols and a X86CPU (that's a define
# for sparrow or your game, not used by gcc.
CPP = gcc -DARMCPU -DFAST_MULTIPLICATION -DFAST_DIVISION -g $(GENERAL_TWEAKS)

# SDL sets some SDL options with the program "sdl-config".
SDL = `sdl-config --cflags`

# SPARROW_LIB determines, where the sparrow library is.
SPARROW_LIB = -L.

# SPARROW_INCLUDE determines, where the sparrow includes are
SPARROW_INCLUDE = -I.

# SDL_PATH determines, where the SDL includes are (necessary if SDL is in subfolders)
SDL_PATH = -I/usr/include/SDL

# Uncomment one of this lines to create or use profile files for
# compiling. You can compile with -fprofile-generate for ANY target,
# copy the *.gcda files to the source code folder and recompile
# (complete!) with -fprofile-use again. This uses some in runtime found
# possibilities to improve sparrow3d.
# CFLAGS += -fprofile-generate
# CFLAGS += -fprofile-use

# INCLUDE determines, where all the other includes are
# INCLUDE = -I/usr/include

# LIB determines, where all the other libraries are
# LIB = -L/usr/lib

# This deactivates the perspective mapping and makes the lib smaller,
# but as I tested not faster.
# CFLAGS += -DNO_PERSPECTIVE

# Normaly theese flags are activated only for small and/or slow devices.
# But sometimes it is important to activate them for testing purpose
# even on faster hardware. ;)
# CFLAGS += -DFAST_DIVISION -DFAST_MULTIPLICATION

ifdef TARGET
include ./target-files/$(TARGET).mk
BUILD = ./build/$(TARGET)/sparrow3d
LIB += -L$(BUILD)
else
TARGET = "Default (change with make TARGET=otherTarget. See All targets with make targets)"
BUILD = .
endif



# I tried a bit with different compilers for building and linking. However: That just sets CPP_LINK to CPP. ;-)
CPP_LINK = $(CPP)

all: libsparrow3d.so libsparrowSound.so libsparrowNet.so testsparrow testsprite testtarget testtext testfile testparallax testserver testclient testreal3d testfill
	@echo "=== Built for Target "$(TARGET)" ==="

targets:
	@echo "The targets are:"
	@ls ./target-files/*.mk | cut -d/ -f3 | cut -d. -f1
#	@echo "Default targets are: gp2x, open2x (like gp2x, but dynamic compiled => smaller), wiz caanoo, dingux, pandora, gcw"

testsparrow: testsparrow.c
	$(CPP_LINK) $(CFLAGS) testsparrow.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testsparrow

testreal3d: testreal3d.c
	$(CPP_LINK) $(CFLAGS) testreal3d.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testreal3d

testsprite: testsprite.c
	$(CPP_LINK) $(CFLAGS) testsprite.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testsprite

testtarget: testtarget.c
	$(CPP_LINK) $(CFLAGS) testtarget.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testtarget

testtext: testtext.c
	$(CPP_LINK) $(CFLAGS) testtext.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testtext

testfile: testfile.c
	$(CPP_LINK) $(CFLAGS) testfile.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testfile

testfill: testfill.c
	$(CPP_LINK) $(CFLAGS) testfill.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testfill

testparallax: testparallax.c
	$(CPP_LINK) $(CFLAGS) testparallax.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -o $(BUILD)/testparallax

testclient: testclient.c
	$(CPP_LINK) $(CFLAGS) testclient.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -lsparrowNet -o $(BUILD)/testclient

testserver: testserver.c
	$(CPP_LINK) $(CFLAGS) testserver.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(SPARROW_LIB) $(STATIC) $(DYNAMIC) -lsparrow3d -lsparrowNet -o $(BUILD)/testserver

libsparrow3d.so: sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowPrimitivesAsm.o sparrowRenderer.o sparrowFont.o sparrowMesh.o sparrowSprite.o sparrowText.o sparrowFile.o makeBuildDir
	$(CPP_LINK) $(CFLAGS) -shared -Wl,-soname,libsparrow3d.so -rdynamic -o $(BUILD)/libsparrow3d.so sparrowFont.o sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowMesh.o sparrowSprite.o sparrowFile.o sparrowPrimitivesAsm.o sparrowRenderer.o sparrowText.o $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(STATIC) $(DYNAMIC)

libsparrowSound.so: sparrowSound.o makeBuildDir
	$(CPP_LINK) $(CFLAGS) -shared -Wl,-soname,libsparrowSound.so -rdynamic -o $(BUILD)/libsparrowSound.so sparrowSound.o $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(STATIC) $(DYNAMIC)

libsparrowNet.so: sparrowNet.o makeBuildDir
	$(CPP_LINK) $(CFLAGS) -shared -Wl,-soname,libsparrowNet.so -rdynamic -o $(BUILD)/libsparrowNet.so sparrowNet.o $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE) $(LIB) $(STATIC) $(DYNAMIC)

makeBuildDir:
	 @if [ ! -d $(BUILD:/sparrow3d=/) ]; then mkdir $(BUILD:/sparrow3d=/);fi
	 @if [ ! -d $(BUILD) ]; then mkdir $(BUILD);fi

sparrowCore.o: sparrowCore.c sparrowCore.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowPrimitives.o: sparrowPrimitives.c sparrowPrimitives.h sparrowPrimitiveSetPixelInclude.c sparrowPrimitiveTriangleInclude.c sparrowPrimitiveTexTriangleInclude.c
	$(CPP) $(CFLAGS) -fPIC -c sparrowPrimitives.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowPrimitivesAsm.o: sparrowPrimitivesAsm.c sparrowPrimitives.h
	$(CPP) $(CFLAGS) -fsingle-precision-constant -fPIC -c sparrowPrimitivesAsm.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowRenderer.o: sparrowRenderer.c sparrowRenderer.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowRenderer.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowMath.o: sparrowMath.c sparrowMath.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowFont.o: sparrowFont.c sparrowFont.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowFont.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowMesh.o: sparrowMesh.c sparrowMesh.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowMesh.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowSprite.o: sparrowSprite.c sparrowSprite.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowSprite.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowText.o: sparrowText.c sparrowText.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowText.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowFile.o: sparrowFile.c sparrowFile.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowFile.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowSound.o: sparrowSound.c sparrowSound.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowSound.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

sparrowNet.o: sparrowNet.c sparrowNet.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowNet.c $(SDL) $(INCLUDE) $(SDL_INCLUDE) $(SPARROW_INCLUDE)

clean:
	rm -f *.o
	rm -f libsparrow3d.so
	rm -f testsparrow
	rm -f testsprite
	rm -f testtext
	rm -f testtarget
	rm -f testparallax
	rm -f testclient
	rm -f testserver

documentation: *.h
	mkdir -p /tmp/sparrowDocumentationTemp
	naturaldocs -i . -xi ./documentation -o HTML documentation -p /tmp/sparrowDocumentationTemp

# This Makefile is AWESOME! /)^ɛ^(\

=== debian/changelog ===
puzzletube (0.6-maemo3) unstable; urgency=low

   *New code from upstream
   *sparrow: support ijkl as arrows (for non-uk N900 keyboards)
   *sparrow: -DARMCPU -DFAST_MULTIPLICATION -DFAST_DIVISION -Os -fsingle-precision-constant
   *saves to ~/.puzzletube
   *faster startup
   *depends: libsdl-mixer1.2 >= 1:1.2.6-5+0m5+ogg+mp3-2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 11 Jun 2013 13:25:40 +0200

=== debian/control ===
Source: puzzletube
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.8.1
Homepage: https://github.com/theZiz/puzzletube

Package: puzzletube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-mixer1.2 (>= 1:1.2.6-5+0m5+ogg+mp3-2)
Description: A puzzle game - on a tube
XSBC-Bugtracker:https://github.com/theZiz/puzzletube/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAP8AQABANWGwowAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAl2cEFnAAAAMAAAADAAzu6MVwAAAUlJREFUaN7tmbFu
 gzAQhj9bFok6ZcqQp8n7v4Ob0jQogSG4Q2UKCh0wlZo26nhGuk+ysAzD//mO
 6cy4348sGFuWJSEEsBaMkc7zP8aAtYQQKMsS93w4sNvtKIqC9XqNsRbGTIti
 DOPtRoyR8+VCVVVYgLpp8N4TY8y7CsYQY8R7T900ADgD9H3PtW05Ho9sVys2
 mVagNYa667i2Lf0wYAEHYIFhGDhVFQWwkU76SAA4pb29ey4WN28y7vwf3Odc
 fAVUQBoVkEYFpFEBaVRAGhWQRgWkUQFpVEAaFZBGBaRRAWlUQBoVkEYFpFEB
 aX4J5Dyp+Svb4ivwPaX8BGqmSeCLdKoHXIEPYAsUwI15TgwE4C19kGsbjcAT
 sGIaBTtSCzWAB7qMw5OydSlrk87cgalt5pvPWQCmtvkAzkAE3Gt6sZS/eb7k
 97S+AH+1ZSB3458HAAAAGXRFWHRDb21tZW50AENyZWF0ZWQgd2l0aCBHSU1Q
 V4EOFwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAxMS0wNy0yMFQyMTowOTo0Nisw
 MzowMMaRgk8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMTEtMDctMjBUMjE6MDk6
 NDYrMDM6MDC3zDrzAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	cd sparrow3d ; make 
	cd puzzletube ; make
else
	cd sparrow3d ; make -f Makefile_x86
	cd puzzletube ; make -f Makefile_x86
endif


	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd sparrow3d ; make clean
	cd puzzletube ; make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/lib
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/translations

	#files
	install ${CURDIR}/puzzletube/puzzletube ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install ${CURDIR}/sparrow3d/libsparrow3d.so ${CURDIR}/debian/puzzletube/opt/puzzletube/lib
	install ${CURDIR}/sparrow3d/libsparrowSound.so ${CURDIR}/debian/puzzletube/opt/puzzletube/lib

	install ${CURDIR}/puzzletube/font/*          ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install ${CURDIR}/puzzletube/images/*        ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install ${CURDIR}/puzzletube/translations/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/translations
	install ${CURDIR}/puzzletube/sounds/*        ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds


	#menu and icon and starting script
	install -d  ${CURDIR}/debian/puzzletube/usr/share/pixmaps
	install ${CURDIR}/puzzletube64x64.png     ${CURDIR}/debian/puzzletube/usr/share/pixmaps/puzzletube.png

	install -d ${CURDIR}/debian/puzzletube/usr/share/applications/hildon
	install ${CURDIR}/puzzletube.desktop ${CURDIR}/debian/puzzletube/usr/share/applications/hildon

	install -d ${CURDIR}/debian/puzzletube/usr/bin
	install  ${CURDIR}/puzzletube.sh ${CURDIR}/debian/puzzletube/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
